UniProtCommentParser.Event (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.io.UniProtCommentParser.Event class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq.io
Class UniProtCommentParser.Event

    java.lang.Object
      org.biojavax.bio.seq.io.UniProtCommentParser.Event

Enclosing class:
  UniProtCommentParser

    public static class UniProtCommentParser.Event

extends Object

A class to describe events for alternative product comments.

Constructor Summary
`UniProtCommentParser.Event()`

Method Summary
`String` | `getComment()` Getter for property comment.
`int` | `getNamedIsoforms()` Getter for property namedIsoforms.
`String` | `getType()` Getter for property type.
`void` | `setComment(String comment)` Setter for property comment.
`void` | `setNamedIsoforms(int namedIsoforms)` Setter for property namedIsoforms.
`void` | `setType(String type)` Setter for property type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniProtCommentParser.Event

    public UniProtCommentParser.Event()

Method Detail

### getType

    public String getType()

  Getter for property type.

  Returns:
    Value of property type.

### setType

    public void setType(String type)

  Setter for property type.

  Parameters:
    `type` - New value of property type.

### getComment

    public String getComment()

  Getter for property comment.

  Returns:
    Value of property comment.

### setComment

    public void setComment(String comment)

  Setter for property comment.

  Parameters:
    `comment` - New value of property comment.

### getNamedIsoforms

    public int getNamedIsoforms()

  Getter for property namedIsoforms.

  Returns:
    Value of property namedIsoforms.

### setNamedIsoforms

    public void setNamedIsoforms(int namedIsoforms)

  Setter for property namedIsoforms.

  Parameters:
    `namedIsoforms` - New value of property namedIsoforms.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD